name: 'Lgoad Upload'
description: 'Uploads a file to Lgoad'
inputs:
  file:
    description: 'The file to upload'
    required: true
    default: ''
  token:
    description: 'The secret lgoad token'
    required: true
    default: ''
  custom-machine-name:
    description: 'The machine name'
    required: false
    default: ''
  content-type:
    description: 'The mime-type of the file'
    required: false
    default: ''
  custom-name:
    description: 'The final name of the file'
    required: false
    default: ''
  use-salt:
    description: 'Whether to add a random salt to the file name to prevent brute force attacks'
    required: false
    default: 'false'

outputs:
  url:
    description: 'A url to the uploaded file'
  uri:
    description: 'The uri to the uploaded file, usable with all lgoad domains'

runs:
  using: 'node20'
  main: 'index.js'